import { SampleResult, Point, Proportion, Mode, Side } from '../model';
export declare class Utils {
    constructor();
    static analyzeSamples(sample: any[]): SampleResult;
    static getBoundingBox(topLeft: number[], bottomRight: number[]): Proportion;
    static getProportion(boundingBox: Proportion, point: Point): Proportion;
    static validateProportion(topLeft: number[], bottomRight: number[], value: Point, sample: Proportion): boolean;
    static validateProportionHeigth(topLeft: number[], bottomRight: number[], value: Point, sample: Proportion, factor?: number): boolean;
    static validateNeutralFace(data: any): boolean;
    static validateTurn(data: any, sample: Proportion, mode: Mode, side: Side): boolean;
    static getImage(): HTMLImageElement;
}
